@title = 'Partners'
@toc = true

## Development partners

<img src="/img/partners/thoughtworks.png">

<b><a href="https://thoughtworks.com/">ThoughtWorks</a></b> is a privately owned global software delivery and products company with 2500 employees. ThoughtWorks has hired a team to work on various free software projects related to email security as part of their [[Pixelated Project => https://pixelated-project.org/]].

<img src="/img/partners/greenhost.png">

<b><a href="https://greenhost.net/">Greenhost</a></b> is a Dutch company that has taken a lead in sustainable hosting, and also supports various projects in the fields of education, culture and journalism.

## Financial sponsors

<img src="/img/partners/otf.png">

<b><a href="https://www.opentechfund.org/">Open Technology Fund</a></b> is designed to ensure secure communication tools exist for millions of individuals whose online interactions are being monitored or obstructed by repressive governments. Through support of research, development, and implementation of globally-accessible secure communications, Open Technology Fund champions the goals of Article 19 of the Universal Declaration of Human Rights.

<img src="/img/partners/hivos.jpg">

<b><a href="https://www.hivos.org/">Hivos International</a></b> international development organisation guided by humanist values. Together with local civil society organisations in developing countries, Hivos wants to contribute to a free, fair and sustainable world. A world in which all citizens – both women and men – have equal access to opportunities and resources for development and can participate actively and equally in decision-making processes that determine their lives, their society and their future.

<img src="/img/partners/duckduckgo.png">

<b><a href="https://duckduckgo.com">DuckDuckGo</a></b> is an Internet search engine that emphasizes protecting searchers' privacy and avoiding the filter bubble of personalized search results. DuckDuckGo distinguishes itself from other search engines by not profiling its users and by deliberately showing all users the same search results for a given search term.

<img src="/img/partners/wallace.png">

<b><a href="http://wgf.org/">Wallace Global Fund</a></b> is guided by the vision of the late Henry A. Wallace, former Secretary of Agriculture and Vice-President under Franklin D. Roosevelt. Committed to serving the general welfare, his life exemplified farsightedness, global vision, and receptivity to new ideas. He was keenly interested in scientific innovation as a force to enhance human well-being and had an abiding faith in the individual's spirit and capacity to bring about sound and just social change

<img src="/img/partners/fotpf.png">

<b><a href="https://pressfreedomfoundation.org/">Press Freedom Foundation</a></b> is a 501(c)3 non-profit organization dedicated to helping support and defend public-interest journalism focused on exposing mismanagement, corruption, and law-breaking in government. We accept tax-deductible donations to a variety of journalism organizations that push for transparency and accountability, and we work to preserve and strengthen the rights guaranteed to the press under the First Amendment.

<img src="/img/pages/gsoc.png" style="width:200px">

<b><a href="https://developers.google.com/open-source/soc/">Google Summer of Code</a></b> is a global program that offers post-secondary student developers ages 18 and older stipends to write code for various open source software projects. We have worked with open source, free software, and technology-related groups to identify and fund projects over a three month period. Since its inception in 2005, the program has brought together over 7,500 successful student participants and over 7,000 mentors from over 100 countries worldwide to produce over 50 million lines of code.

<img src="/img/partners/access.jpg">

<b><a href="https://www.accessnow.org/">Access</a></b> defends and extends the digital rights of users at risk around the world. By combining innovative policy, user engagement, and direct technical support, we fight for open and secure communications for all.

<img src="/img/partners/shuttleworth.jpg">

The Shuttleworth Foundation is dedicated to building an open knowledge society and a better future organized around open principles. To help us get there, we identify amazing people with innovative ideas, give them a fellowship grant, and multiply the money they put into their own project by a factor of ten or more.

## Early adopters of the LEAP Platform

<b><a href="https://www.calyxinstitute.org/">Calyx Institute</a></b> is a research, education and legal support group devoted to researching and implementing privacy technology and tools to promote free speech, free expression, civic engagement and privacy rights on the Internet. Calyx plans to be an early adopter of the [[LEAP platform => platform]].

<b><a href="https://riseup.net">Riseup Networks</a></b> is major provider of email, chat, and lists for thousands of activist organizations around the world. Riseup plans to be an early adopter of the [[LEAP platform => platform]].

<b><a href="https://oblivia.vc/">Oblivia</a></b> is a new service provider starting up in Brazil.

<b><a href="http://colnodo.apc.org/">Colnodo</a></b> is a Colombian NGO working to facilitate communications and the exchange of information, experience and expertise between Colombian organizations at all levels regarding issues such as human rights, environment, housing, the betterment of women’s lives and others. Colnodo has promoted and democratized the use of ICTs among social organizations and groups (women, the youth, indigenous groups, local communities, etc.) and has been a facilitator of governmental projects regarding the promotion of ICTs. One of its principles is to develop its services based on free open source software.

<b><a href="https://codigosur.org/">Código Sur</a></b> is a non profit civil organization which has been working for the last 12 years supporting organizations and social movements in the use and appropriation of free ICT. Código Sur has developed a CMS in Python/Django named Cyclope. This platform was developed along with social organizations so they could build their websites without the need of any web design or programming knowledge. In addition to publishing the code as Free Software, it is offered as CMS hosting service, and this constitutes Código Sur's main product. It is combined with several other solutions offered, including mailing lists, radio streaming, etc, as well as (thanks to LEAP) VPN and soon secure e-mail infrastructure.

