@title = 'Bitmask known issues'
@nav_title = 'Known issues'
@summary = 'Known issues in Bitmask.'
@toc = true

Here you can find documentation about known issues and potential work-arounds
in the current Bitmask release.


Connection Errors
-----------------

You may get the error: “Unable to connect: Problem with provider”. This can
result from a problem with your network not the the provider. We are tracking
this issue here https://leap.se/code/issues/4023 and plan to have more specific
error notifications in the future.

Mail issues
-----------


* If you have received a large amount of mails (testing with more than 400),
Thunderbird may not respond. This problem wont happen if you already had the
client open and Thunderbird loading mails at the same time.

* Opening the same account from more than one computer at the same time might
possibly break your account.

* You may get an error on Thunderbird about not being able to reach the IMAP
server. This happens during long syncs.

* If you have a big amount of emails and email traffic the syncs are
sometimes very slow. We are working on this.



Key generation too slow?
------------------------

When you create a new mail account, the key generation may take a while. It can
take up to 5mins, but be aware, on virtual machines it sometimes takes a very
long time. As long as a 40min!. The below tricks can reduce the time for
testers using virtual machines.

If you are just testing mail accounts and **are not worried about security**
you can use some tricks to generate the extra entropy needed to speed up the
process.

1. Manually generate entropy by moving the mouse, type stuff, browse the internet and local files, etc.

1. Use haveged

    Install the haveged package, most likely is available through your distro's
    package manager.

    See: http://www.issihosts.com/haveged/

1. Generate IO (may not work on SSDs)

        find / -type f -print0 2>&1 | xargs -0 cat &> /dev/null

If you want more information you can take a look at:
https://leap.se/code/issues/4656


"No polkit agent available" Error
---------------------------------

(For people using minimal distros/desktops like awesome/i3)

To run Bitmask and the services correctly you need to have a running polkit
agent. If you don’t have one you will get an error and won’t be able to start
Bitmask.

The currently recognized polkit agents are:

| process name                          | Who uses it?                      |
|---------------------------------------|-----------------------------------|
| `polkit-gnome-authentication-agent-1` | Gnome                             |
| `polkit-kde-authentication-agent-1`   | KDE                               |
| `polkit-mate-authentication-agent-1`  | Mate                              |
| `lxpolkit` or `lxsession`             | LXDE                              |
| `xfce-polkit`                         | XFCE                              |
| `gnome-shell`                         | Gnome shell                       |
| `fingerprint-polkit-agent`            | the `fingerprint-gui` package     |


If you have a different polkit agent running that it's not in that list,
please report a bug so we can include in our checks.

You can get the list of running processes that match polkit with the following
command: `ps aux | grep -i polkit`.
Here is an example on my KDE desktop:

    ➜ ps aux | grep polkit
    root      1392  0.0  0.0 298972  6120 ?        Sl   Sep22   0:02 /usr/lib/policykit-1/polkitd --no-debug
    user      1702  0.0  0.0  12972   920 pts/16   S+   16:42   0:00 grep polkit
    user      3259  0.0  0.4 559764 38464 ?        Sl   Sep22   0:05 /usr/lib/kde4/libexec/polkit-kde-authentication-agent-1


Note that `polkitd` is not a valid agent, is just the daemon, you still need an
agent running.
